<?xml version="1.0" encoding="UTF_8"?>
    <ModuleCap>
        <tag key="HAL_CUSTOM_FOV_RATIO_VALUES" type="float" alias="CAMERA_HW_FOV_RATIO_VALUES" source="function" action="expand"></tag>
        <tag key="HAL_CUSTOM_SENSOR_ISO_RANGE" type="uint32_t" action="override">
            <value>50</value>
            <value>3200</value>
        </tag>
         <tag key="HAL_CUSTOM_SENSOR_SUPER_ISO" type="int32_t" action="override">
            <value>12800</value>
            <value>66666</value>
            <value>12800</value>
            <value>25600</value>
            <value>125000</value>
            <value>12800</value>
            <value>51200</value>
            <value>250000</value>
            <value>12800</value>
            <value>102400</value>
            <value>250000</value>
            <value>25600</value>
            <value>204800</value>
            <value>250000</value>
            <value>40000</value>
            <value>409600</value>
            <value>250000</value>
            <value>50000</value>
        </tag>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t" action="override">
            <value>32</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
        </tag>
        <tag key="HAL_CUSTOM_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t" action="override">
            <value>1</value>
            <value>3264</value>
            <value>2448</value>
            <value>33331760</value>
        </tag>
         <tag key="CAMERA_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t" action="override">
            <value>3264</value>
            <value>2448</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PRE_CORRECTION_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>3264</value>
            <value>2448</value>
        </tag>
        <tag key="HAL_REPROCESS_CUSTOM_QUICKTHUMBNAIL_RESOLUTION_SUPPORTED" type="int32_t" action="override">
            <value>3264</value>
            <value>2448</value>
        </tag>
        <tag key="HAL_CUSTOM_TELE_MODE_SUPPORTED" type="uint8_t" action="override">
            <value>1</value>
        </tag>
    </ModuleCap>